GET /collections/{id}/records/{key}/changelog
Get the change history for a specific record.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Collection ID
key string required path
Record key

Query Parameters

limit string optional query
Max results (default 50, max 100)
Example: "50"

Responses

200 Record changelog
application/json
changelog object[] REQUIRED
Array of:
id string REQUIRED
collection_id string REQUIRED
record_id string REQUIRED
record_key string REQUIRED
change_type string REQUIRED
before_data string | null REQUIRED
after_data string REQUIRED
event_id string REQUIRED
event_type string | null REQUIRED
created_at string REQUIRED
401 Unauthorized
404 Not found
curl -X GET 'https://hookstream.io/v1/collections/string/records/string/changelog' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/collections/string/records/string/changelog', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/collections/string/records/string/changelog', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/collections/string/records/string/changelog", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "changelog": [
    {
      "id": "<string>",
      "collection_id": "<string>",
      "record_id": "<string>",
      "record_key": "<string>",
      "change_type": "<string>",
      "before_data": "<string>",
      "after_data": "<string>",
      "event_id": "<string>",
      "event_type": "<string>",
      "created_at": "<string>"
    }
  ]
}
GET /collections/{id}/records/{key}/changelog
Ask a question... ⌘I